Public Member Functions | Private Attributes

# SmallStack< Titem, Tindex, Tinvalid, Tgrowth_step, Tmax_size >::PooledSmallStack Class Reference

SmallStack item that can be kept in a pool (by having an index). More...

`#include <smallstack_type.hpp>`

Inheritance diagram for SmallStack< Titem, Tindex, Tinvalid, Tgrowth_step, Tmax_size >::PooledSmallStack:

## Public Member Functions
| PooledSmallStack (Titem value, Tindex next)
void | CreateBranch ()
void | DeleteBranch ()
Tindex | NumBranches ()
## Private Attributes
Tindex | branch_count
| Number of branches in the tree structure this item is parent of.

## Detailed Description

### template<typename Titem, typename Tindex, Titem Tinvalid, size_t Tgrowth_step, size_t Tmax_size>
class SmallStack< Titem, Tindex, Tinvalid, Tgrowth_step, Tmax_size >::PooledSmallStack

SmallStack item that can be kept in a pool (by having an index).

Definition at line 188 of file smallstack_type.hpp.

The documentation for this class was generated from the following file:

- src/core/smallstack_type.hpp